Subject: path-restricted log vs. subtree merges

From: Oswald Buddenhagen <[email-masked]>
Date: Sat, 15 Mar 2025 15:45:01 +0100

in my quest to prepare for hacking git-gui, i ran

   cd .../git/git-gui
   git log .

the result is ... unhelpful. apart from a few commits that were done
directly in the git repo, there are only merges. notably, there is no
trace of the commits that are being merged (and the way gitk presents
this partial log is even more unhelpful).

i'm speculating that this is the result of git log not handling the
subtree merges in any way, with somewhat predictable consequences.

i suppose there is overlap with the fact that --follow works only for a
single file, which is also unfortunate. (a recent test case in the repo
would be templates/hooks.)